- Home
- API Enriched
- Shape
- shape
- GET Script Overview.
GET Script Overview.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/dashboard?type=NEW';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/dashboard?type=NEW' \ --header 'Authorization: <Authorization>'GET script overview data for a script depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
ID Script ID.
Query Parameters
Section titled “Query Parameters”X-required Filter events based on type of behaviors
- NEW: NEW New Behaviors
- ALL: ALL All Behaviors.
X-required format: unix epoch timestamp in seconds fetch behaviors whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch behaviors whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to GET script overview.
object
Event info of the dashboard of the script.
Event Info.
object
Format: unix epoch timestamp in milliseconds Date of the event.
Number of existing behaviors.
Number of new behaviors.
object
Name of the domain.
Format: unix epoch timestamp in milliseconds First seen time.
Format: unix epoch timestamp in milliseconds Last seen time.
Risk level of the script.
Type of the script.
Examplegenerated
{ "events": [ { "date": "example", "existing_behavior": 1, "new_behavior": 1 } ], "summary": { "domain": "example", "first_seen": "example", "last_seen": "example", "risk_level": "example", "type": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example